---
title: "session"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/session/
---

# Session API

-   [GET session](#get-session)
-   [POST session](#post-session)

## GET session

### Summary

Get the session name of the d3 host

### URL

GET    /api/session

### Responses

-   **200:** Success - Ok
-   **404:** Not found
-   **500:** Check the response body for error details

### Response Body

```json
{
  "role": "understudy"
}
```

* * *

## POST session

### Summary

Update with the session name of the d3 host

### URL

POST    /api/session

### Request Body

```json
{
  "role": "understudy"
}
```

### Responses

-   **201:** Success - Created
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

### Response Body

```json
{
  "message": "ok"
}
```
